<template>
<div class="app-container calendar-list-container">
  <!-- 筛选条件 -->
  <div class="filter-container">
  
    <el-button class="filter-item" type="primary" v-waves icon="search" @click="handleSearch">搜索</el-button>
    <el-button class="filter-item pull-right" type="success" icon="edit" @click="handleCreate">添加</el-button>
  </div>

  <!-- 列表数据 -->
  <Pagination uri="/member/money/logs" :request-params="params" ref="pagination">

      <!-- 类型 -->
      <el-table-column align="center" label="类型">
        <template scope="scope">
          <span>{{scope.row.type}}</span>
        </template>
      </el-table-column>

      <!-- 金额 -->
      <el-table-column align="center" label="金额">
        <template scope="scope">
          <span>{{scope.row.money}}</span>
        </template>
      </el-table-column>

      <!-- 用户ID -->
      <el-table-column align="center" label="用户ID">
        <template scope="scope">
          <span>{{scope.row.memberId}}</span>
        </template>
      </el-table-column>

      <!-- 平台来源ID -->
      <el-table-column align="center" label="平台来源ID">
        <template scope="scope">
          <span>{{scope.row.platformId}}</span>
        </template>
      </el-table-column>

      <!-- 创建时间 -->
      <el-table-column align="center" label="创建时间">
        <template scope="scope">
          <span>{{scope.row.createdTime | parseTime('{y}-{m}-{d} {h}:{i}')}}</span>
        </template>
      </el-table-column>

    <el-table-column label="操作" align="center" width="150">
      <template scope="scope">
        <el-button size="small" type="text" @click="handleEdit(scope.row.id)">编辑</el-button>
        <el-button size="small" type="text" class="danger" @click="handleDelete(scope.row)">删除</el-button>
      </template>
    </el-table-column>
  </Pagination>
</div>
</template>

<script>
import { remove } from '@/api//member/money/log'
import waves from '@/directive/waves.js'// 水波纹指令
import Pagination from '@/components/Pagination'

export default {
  name: 'memberMoneyLog_list',
  components: { Pagination },
  directives: {
    waves
  },
  data() {
    return {
      params: {
      }
    }
  },
  created() {
  },
  methods: {
    /**
     * 搜索用户金额记录
     */
    handleSearch() {
      this.$refs.pagination.handleSearch()
    },

    /**
     * 编辑用户金额记录
     */
    handleEdit(id) {
      this.$router.push({ path: '/member/money/log/edit', query: { id: id }})
    },

    /**
     * 创建用户金额记录
     */
    handleCreate() {
      this.$router.push({ path: '/member/money/log/edit' })
    },

    /**
     * 删除用户金额记录
     */
    handleDelete(row) {
      this.$confirm('确认删除该用户金额记录？').then(_ => {
        remove(row.id).then(response => {
          this.$refs.pagination.removeItem(row)
        })
      }).catch(_ => {})
    }
  }
}
</script>

